org.jboss.resteasy.plugins.server.servlet

## Class HttpServletResponseWrapper.DeferredOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.jboss.resteasy.plugins.server.servlet.HttpServletResponseWrapper.DeferredOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable
  Enclosing class:
    HttpServletResponseWrapper

      protected class HttpServletResponseWrapper.DeferredOutputStream
      extends OutputStream

  RESTEASY-684 wants to defer access to outputstream until a write/flush/close happens

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HttpServletResponseWrapper.DeferredOutputStream()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `write(byte[] bytes)`
    `void` | `write(byte[] bytes, int i, int i1)`
    `void` | `write(int i)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpServletResponseWrapper.DeferredOutputStream

          protected HttpServletResponseWrapper.DeferredOutputStream()

  - ### Method Detail

    - #### write

          public void write(int i)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] bytes)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] bytes,
                   int i,
                   int i1)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.